Package org.codehaus.janino

# Interface Visitor.FieldDeclarationOrInitializerVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

All Known Subinterfaces:
  `Visitor.BlockStatementVisitor<R,EX>`

Enclosing class:
  `Visitor`

public static interface Visitor.FieldDeclarationOrInitializerVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.BlockStatement`s (statements that may appear with a block).

## Method Summary

Modifier and Type
Method
Description
`R`
`visitFieldDeclaration(Java.FieldDeclaration fd)`
Invoked by `Java.FieldDeclaration.accept(Visitor.BlockStatementVisitor)`
`R`
`visitInitializer(Java.Initializer i)`
Invoked by `Java.Initializer.accept(Visitor.BlockStatementVisitor)`

## Method Details

### visitInitializer

@Nullable R visitInitializer(Java.Initializer i) throws EX
Invoked by `Java.Initializer.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitFieldDeclaration

@Nullable R visitFieldDeclaration(Java.FieldDeclaration fd) throws EX
Invoked by `Java.FieldDeclaration.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`